# OpenLayers.Format.SOSCapabilities

Read SOS Capabilities.

#### Inherits from

- OpenLayers.Format.XML.VersionedOGC

Summary

OpenLayers.Format.SOSCapabilities | Read SOS Capabilities.
Properties |
defaultVersion | {String} Version number to assume if none found.
Constructor |
OpenLayers.Format.SOSCapabilities | Create a new parser for SOS Capabilities.
Functions |
read | Read capabilities data from a string, and return information about the service (offering and observedProperty mostly).

### Properties

### defaultVersion

{String} Version number to assume if none found. Default is “1.0.0”.

### Constructor

### OpenLayers.Format.SOSCapabilities

Create a new parser for SOS Capabilities.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

Read capabilities data from a string, and return information about the service (offering and observedProperty mostly).

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Object} Info about the SOS

Base class for versioned formats, i.e.
Close